curl --request GET \
--url https://api.sim.dune.com/beta/evm/subscriptions/webhooks/{webhookId} \
--header 'X-Sim-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Sim-Api-Key': '<api-key>'}};
fetch('https://api.sim.dune.com/beta/evm/subscriptions/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sim.dune.com/beta/evm/subscriptions/webhooks/{webhookId}"
headers = {"X-Sim-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "019a81c2-d84b-7141-85e8-86b072a59142",
"team_id": "01K7RVMRT0BXQ9DRC8BK87MK39",
"name": "Balance Changes Tracker",
"type": "balances",
"url": "https://example.com/webhooks/balances",
"active": true,
"created_at": "2025-11-14T09:47:01.580104Z",
"updated_at": "2025-11-14T09:47:01.580104Z",
"chain_ids": [
1,
8453,
84532
]
}Invalid URL: UUID parsing failed: invalid group length in group 4: expected 12, found 11{
"error": "Too many requests. Please contact sales@dune.com to increase your limit."
}Get Webhook
Retrieve detailed information about a specific webhook subscription.
curl --request GET \
--url https://api.sim.dune.com/beta/evm/subscriptions/webhooks/{webhookId} \
--header 'X-Sim-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Sim-Api-Key': '<api-key>'}};
fetch('https://api.sim.dune.com/beta/evm/subscriptions/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sim.dune.com/beta/evm/subscriptions/webhooks/{webhookId}"
headers = {"X-Sim-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "019a81c2-d84b-7141-85e8-86b072a59142",
"team_id": "01K7RVMRT0BXQ9DRC8BK87MK39",
"name": "Balance Changes Tracker",
"type": "balances",
"url": "https://example.com/webhooks/balances",
"active": true,
"created_at": "2025-11-14T09:47:01.580104Z",
"updated_at": "2025-11-14T09:47:01.580104Z",
"chain_ids": [
1,
8453,
84532
]
}Invalid URL: UUID parsing failed: invalid group length in group 4: expected 12, found 11{
"error": "Too many requests. Please contact sales@dune.com to increase your limit."
}- Check the current status of a webhook
- View the webhook’s configuration and filters
- Verify when a webhook was created or last updated
Authorizations
API key for authentication. Obtain your key from the Dune dashboard at sim.dune.com.
Path Parameters
The unique identifier of the webhook.
Response
Webhook details.
The unique identifier for the webhook.
The team ID that owns this webhook.
A descriptive name for the webhook.
The type of onchain event to subscribe to.
transactions, activities, balances The URL where webhook payloads will be sent.
Whether the webhook is currently active.
When the webhook was created.
When the webhook was last updated.
Filter events to specific chain IDs. If null, all supported chains are included.
For transaction webhooks, filter by sender or receiver.
sender, receiver Filter transactions by counterparty address.
"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
For activity webhooks, filter by specific activity type.
approve, mint, burn, receive, send, swap, call Filter by asset type.
native, erc20, erc721, erc1155 Filter events to a specific token address.
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
Was this page helpful?